% The files in this directory generate instantaneous frequency
% and instantaneous bandwidth estimates using a hybrid TFR approach.
%
% See the following paper for a description of the technique:
%
%  R.G. Baraniuk, M.J. Coates and P. Steeghs, "Hybrid
%  Linear/Quadratic Time-frequency Attributes", to appear
%  Proc. ICASSP 2000.
%
%  The algebraic manipulations underlying the method are displayed
%  in the postscript file in this directory: instfreq.ps
%
% The programs hybifest.m and are the estimation programs.
%
% They use:
%   calc_gab.m  (calculates the Gabor coefficients)
%   gen_Q4.m    (generates the pre-determined vectors)
%
% Computational complexity arises mainly in gen_Q4. This only needs
% to be called once for each signal size
% (generating a .mat file containing a cell array)
%
% The programs testif.m and testseis.m contain examples of
% use of the estimation function. The latter two computes the hybrid IF
% estimates for a seismic signal and compares them to the
% spectrogram-based estimates and the AOK based estimates.
%
% Modulo, Izak, Fmlin, tfrsp, and momttfr are all utilities provided in the
% time-frequency toolbox. Thanks to O. Lemoine and F. Auger
% See:
% http://www-isis.enst.fr/Applications/tftb/iutsn.univ-nantes.fr/auger/tftb.html
%
% Mark Coates Feb. 2000


